Bug 1326085 - [rfe]posix-locks: Lock migration
Summary: [rfe]posix-locks: Lock migration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: locks
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susant Kumar Palai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: glusterfs-3.8.0
TreeView+ depends on / blocked
 
Reported: 2016-04-11 18:33 UTC by Susant Kumar Palai
Modified: 2018-08-09 13:42 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 14:03:04 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Susant Kumar Palai 2016-04-11 18:33:31 UTC
Description of problem:
This bug is created to capture all the patches that will be sent for lock-migration feature.

Comment 1 Vijay Bellur 2016-04-11 18:36:23 UTC
REVIEW: http://review.gluster.org/13970 (feature/lock: added structure to support lock migration) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 2 Vijay Bellur 2016-04-12 10:27:03 UTC
REVIEW: http://review.gluster.org/13970 (feature/lock: added structure to support lock migration) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 3 Vijay Bellur 2016-04-14 06:25:08 UTC
REVIEW: http://review.gluster.org/13970 (core: add readactivelk fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 4 Vijay Bellur 2016-04-14 06:25:10 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: Add readactivelk() fop) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 5 Vijay Bellur 2016-04-14 06:25:13 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add readactivelk() fop) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 6 Vijay Bellur 2016-04-14 06:25:15 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add readactivelk () fop) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 7 Vijay Bellur 2016-04-17 14:26:24 UTC
REVIEW: http://review.gluster.org/13970 (core: add readactivelk () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 8 Vijay Bellur 2016-04-17 14:26:27 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add readactivelk () fop) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 9 Vijay Bellur 2016-04-17 14:26:29 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add readactivelk () fop) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 10 Vijay Bellur 2016-04-17 14:26:32 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add readactivekl () fop) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 11 Vijay Bellur 2016-04-17 14:26:34 UTC
REVIEW: http://review.gluster.org/14011 (core: add writeactivelk () fop) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 12 Vijay Bellur 2016-04-17 14:26:37 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add writeactivelk () fop) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 13 Vijay Bellur 2016-04-17 14:26:39 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add writeactivelk () fop) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 14 Vijay Bellur 2016-04-17 14:26:41 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add writeactivelk () fop) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 15 Vijay Bellur 2016-04-17 15:53:43 UTC
REVIEW: http://review.gluster.org/13970 (core: add readactivelk () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 16 Vijay Bellur 2016-04-17 15:53:45 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add writeactivelk () fop) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 17 Vijay Bellur 2016-04-17 15:53:47 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add writeactivelk () fop) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 18 Vijay Bellur 2016-04-17 15:53:50 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add writeactivelk () fop) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 19 Vijay Bellur 2016-04-17 15:53:52 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add readactivelk () fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 20 Vijay Bellur 2016-04-17 15:53:54 UTC
REVIEW: http://review.gluster.org/14011 (core: add writeactivelk () fop) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 21 Vijay Bellur 2016-04-17 15:53:56 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add readactivelk () fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 22 Vijay Bellur 2016-04-17 15:53:59 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add readactivekl () fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 23 Vijay Bellur 2016-04-18 07:10:58 UTC
REVIEW: http://review.gluster.org/13970 (core: add readactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 24 Vijay Bellur 2016-04-18 07:11:00 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add writeactivelk () fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 25 Vijay Bellur 2016-04-18 07:11:03 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add writeactivelk () fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 26 Vijay Bellur 2016-04-18 07:11:05 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add writeactivelk () fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 27 Vijay Bellur 2016-04-18 07:11:08 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add readactivelk () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 28 Vijay Bellur 2016-04-18 07:11:10 UTC
REVIEW: http://review.gluster.org/14011 (core: add writeactivelk () fop) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 29 Vijay Bellur 2016-04-18 07:11:13 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add readactivelk () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 30 Vijay Bellur 2016-04-18 07:11:15 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add readactivekl () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 31 Vijay Bellur 2016-04-19 10:19:06 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 32 Vijay Bellur 2016-04-19 10:19:08 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add writeactivelk () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 33 Vijay Bellur 2016-04-19 10:19:10 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add writeactivelk () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 34 Vijay Bellur 2016-04-19 10:19:12 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 35 Vijay Bellur 2016-04-19 10:19:14 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add writeactivelk () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 36 Vijay Bellur 2016-04-19 10:19:17 UTC
REVIEW: http://review.gluster.org/14011 (core: add writeactivelk () fop) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 37 Vijay Bellur 2016-04-19 10:19:19 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add readactivekl () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 38 Vijay Bellur 2016-04-26 10:20:47 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 39 Vijay Bellur 2016-04-26 10:20:50 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 40 Vijay Bellur 2016-04-26 10:20:52 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 41 Vijay Bellur 2016-04-26 10:20:54 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 42 Vijay Bellur 2016-04-26 10:20:57 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 43 Vijay Bellur 2016-04-26 10:20:59 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 44 Vijay Bellur 2016-04-26 10:21:01 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 45 Vijay Bellur 2016-04-26 10:21:04 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 46 Vijay Bellur 2016-04-26 10:21:07 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 47 Vijay Bellur 2016-04-26 10:21:10 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 48 Vijay Bellur 2016-04-26 10:21:12 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#1) for review on master by Susant Palai (spalai@redhat.com)

Comment 49 Vijay Bellur 2016-04-28 06:36:39 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 50 Vijay Bellur 2016-04-28 06:44:23 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 51 Vijay Bellur 2016-04-28 06:44:25 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 52 Vijay Bellur 2016-04-28 06:44:28 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 53 Vijay Bellur 2016-04-28 06:44:30 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 54 Vijay Bellur 2016-04-28 06:44:32 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 55 Vijay Bellur 2016-04-28 06:44:42 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#2) for review on master by Susant Palai (spalai@redhat.com)

Comment 56 Vijay Bellur 2016-04-28 06:44:44 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 57 Vijay Bellur 2016-04-28 06:44:47 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 58 Vijay Bellur 2016-04-28 06:44:50 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 59 Vijay Bellur 2016-04-28 06:44:52 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 60 Vijay Bellur 2016-04-28 06:44:55 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 61 Vijay Bellur 2016-04-28 09:49:34 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 62 Vijay Bellur 2016-04-28 09:49:36 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 63 Vijay Bellur 2016-04-28 09:49:39 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 64 Vijay Bellur 2016-04-28 09:49:41 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 65 Vijay Bellur 2016-04-28 09:49:46 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 66 Vijay Bellur 2016-04-28 09:49:49 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#3) for review on master by Susant Palai (spalai@redhat.com)

Comment 67 Vijay Bellur 2016-04-28 09:49:51 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 68 Vijay Bellur 2016-04-28 09:49:53 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 69 Vijay Bellur 2016-04-28 09:49:56 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 70 Vijay Bellur 2016-04-28 09:49:58 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 71 Vijay Bellur 2016-04-28 09:50:01 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 72 Vijay Bellur 2016-04-28 17:52:11 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 73 Vijay Bellur 2016-04-28 17:52:14 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 74 Vijay Bellur 2016-04-28 17:52:16 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#4) for review on master by Susant Palai (spalai@redhat.com)

Comment 75 Vijay Bellur 2016-04-29 07:35:18 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 76 Vijay Bellur 2016-04-29 07:35:21 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 77 Vijay Bellur 2016-04-29 07:35:24 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 78 Vijay Bellur 2016-04-29 07:35:27 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 79 Vijay Bellur 2016-04-29 07:35:29 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 80 Vijay Bellur 2016-04-29 07:35:32 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#5) for review on master by Susant Palai (spalai@redhat.com)

Comment 81 Vijay Bellur 2016-04-29 07:35:34 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 82 Vijay Bellur 2016-04-29 07:35:36 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 83 Vijay Bellur 2016-04-29 07:35:39 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 84 Vijay Bellur 2016-04-29 07:35:42 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 85 Vijay Bellur 2016-04-29 07:35:44 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 86 Vijay Bellur 2016-04-29 11:03:13 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 87 Vijay Bellur 2016-04-29 11:03:16 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 88 Vijay Bellur 2016-04-29 11:03:19 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 89 Vijay Bellur 2016-04-29 11:03:21 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 90 Vijay Bellur 2016-04-29 11:03:24 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 91 Vijay Bellur 2016-04-29 11:03:31 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#6) for review on master by Susant Palai (spalai@redhat.com)

Comment 92 Vijay Bellur 2016-04-29 11:03:34 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 93 Vijay Bellur 2016-04-29 11:03:36 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 94 Vijay Bellur 2016-04-29 11:03:39 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 95 Vijay Bellur 2016-04-29 11:03:41 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 96 Vijay Bellur 2016-04-29 11:03:44 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 97 Vijay Bellur 2016-04-29 12:12:59 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 98 Vijay Bellur 2016-04-29 12:13:02 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 99 Vijay Bellur 2016-04-29 12:13:05 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 100 Vijay Bellur 2016-04-29 12:13:08 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 101 Vijay Bellur 2016-04-29 12:13:11 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#7) for review on master by Susant Palai (spalai@redhat.com)

Comment 102 Vijay Bellur 2016-04-29 12:13:13 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 103 Vijay Bellur 2016-04-29 12:13:15 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 104 Vijay Bellur 2016-04-29 12:13:19 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 105 Vijay Bellur 2016-04-29 12:13:22 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 106 Vijay Bellur 2016-04-29 13:43:20 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 107 Vijay Bellur 2016-04-29 13:43:23 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 108 Vijay Bellur 2016-04-29 13:43:27 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 109 Vijay Bellur 2016-04-29 13:43:31 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 110 Vijay Bellur 2016-04-29 13:43:33 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 111 Vijay Bellur 2016-04-29 13:43:36 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#8) for review on master by Susant Palai (spalai@redhat.com)

Comment 112 Vijay Bellur 2016-04-29 13:43:38 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 113 Vijay Bellur 2016-04-29 13:43:41 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 114 Vijay Bellur 2016-04-29 13:43:43 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 115 Vijay Bellur 2016-04-29 13:43:46 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 116 Vijay Bellur 2016-04-29 13:43:48 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 117 Vijay Bellur 2016-04-29 15:35:05 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 118 Vijay Bellur 2016-04-29 15:35:08 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#9) for review on master by Susant Palai (spalai@redhat.com)

Comment 119 Vijay Bellur 2016-04-30 12:48:48 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 120 Vijay Bellur 2016-04-30 12:48:50 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 121 Vijay Bellur 2016-04-30 12:48:53 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 122 Vijay Bellur 2016-04-30 12:48:55 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 123 Vijay Bellur 2016-04-30 12:48:58 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 124 Vijay Bellur 2016-04-30 12:49:00 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#10) for review on master by Susant Palai (spalai@redhat.com)

Comment 125 Vijay Bellur 2016-04-30 12:49:02 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 126 Vijay Bellur 2016-04-30 12:49:05 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 127 Vijay Bellur 2016-04-30 12:49:07 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 128 Vijay Bellur 2016-04-30 12:49:10 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 129 Vijay Bellur 2016-04-30 12:49:12 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 130 Vijay Bellur 2016-05-01 05:21:37 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 131 Vijay Bellur 2016-05-01 05:21:39 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 132 Vijay Bellur 2016-05-01 05:21:42 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 133 Vijay Bellur 2016-05-01 05:21:44 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 134 Vijay Bellur 2016-05-01 05:21:47 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 135 Vijay Bellur 2016-05-01 05:21:49 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#11) for review on master by Susant Palai (spalai@redhat.com)

Comment 136 Vijay Bellur 2016-05-01 05:21:51 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 137 Vijay Bellur 2016-05-01 05:21:54 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 138 Vijay Bellur 2016-05-01 05:21:56 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 139 Vijay Bellur 2016-05-01 05:21:58 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 140 Vijay Bellur 2016-05-01 05:22:01 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 141 Vijay Bellur 2016-05-01 14:59:27 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 142 Vijay Bellur 2016-05-01 14:59:51 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 143 Vijay Bellur 2016-05-01 15:00:16 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 144 Vijay Bellur 2016-05-01 15:00:32 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 145 Vijay Bellur 2016-05-01 15:00:47 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 146 Vijay Bellur 2016-05-01 15:01:18 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 147 Vijay Bellur 2016-05-01 15:03:49 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 148 Vijay Bellur 2016-05-01 15:04:02 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 149 Vijay Bellur 2016-05-01 15:04:18 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#17) for review on master by Susant Palai (spalai@redhat.com)

Comment 150 Vijay Bellur 2016-05-01 15:04:36 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#12) for review on master by Susant Palai (spalai@redhat.com)

Comment 151 Vijay Bellur 2016-05-01 15:08:55 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 152 Vijay Bellur 2016-05-01 15:09:12 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 153 Vijay Bellur 2016-05-01 15:09:38 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 154 Vijay Bellur 2016-05-01 15:10:00 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 155 Vijay Bellur 2016-05-01 15:10:16 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#18) for review on master by Susant Palai (spalai@redhat.com)

Comment 156 Vijay Bellur 2016-05-01 15:10:29 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#13) for review on master by Susant Palai (spalai@redhat.com)

Comment 157 Vijay Bellur 2016-05-01 15:49:43 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#19) for review on master by Susant Palai (spalai@redhat.com)

Comment 158 Vijay Bellur 2016-05-01 15:49:46 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 159 Vijay Bellur 2016-05-01 15:49:48 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 160 Vijay Bellur 2016-05-01 15:49:51 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 161 Vijay Bellur 2016-05-01 15:49:54 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 162 Vijay Bellur 2016-05-01 15:49:56 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 163 Vijay Bellur 2016-05-01 15:49:58 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 164 Vijay Bellur 2016-05-01 15:50:01 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#14) for review on master by Susant Palai (spalai@redhat.com)

Comment 165 Vijay Bellur 2016-05-01 15:50:03 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 166 Vijay Bellur 2016-05-01 15:50:06 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 167 Vijay Bellur 2016-05-01 15:50:08 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 168 Vijay Bellur 2016-05-01 18:12:34 UTC
REVIEW: http://review.gluster.org/13493 (cluster/dht: handle EREMOTE in dht lk/flush) posted (#20) for review on master by Susant Palai (spalai@redhat.com)

Comment 169 Vijay Bellur 2016-05-01 18:12:38 UTC
REVIEW: http://review.gluster.org/13970 (core: add getactivelk () fop) posted (#17) for review on master by Susant Palai (spalai@redhat.com)

Comment 170 Vijay Bellur 2016-05-01 18:12:46 UTC
REVIEW: http://review.gluster.org/14013 (protocol: add setactivelk () fop) posted (#17) for review on master by Susant Palai (spalai@redhat.com)

Comment 171 Vijay Bellur 2016-05-01 18:12:48 UTC
REVIEW: http://review.gluster.org/14012 (io-threads: add setactivelk () fop) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 172 Vijay Bellur 2016-05-01 18:12:51 UTC
REVIEW: http://review.gluster.org/14024 (glusterd: volume set changes for lock migration) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 173 Vijay Bellur 2016-05-01 18:12:53 UTC
REVIEW: http://review.gluster.org/14074 (dht/rebalance: add lock migration fop to dht_migrate_file) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 174 Vijay Bellur 2016-05-01 18:12:56 UTC
REVIEW: http://review.gluster.org/14014 (posix/lock: add setactivelk () fop) posted (#17) for review on master by Susant Palai (spalai@redhat.com)

Comment 175 Vijay Bellur 2016-05-01 18:12:58 UTC
REVIEW: http://review.gluster.org/13993 (io-threads: add getactivelk () fop) posted (#15) for review on master by Susant Palai (spalai@redhat.com)

Comment 176 Vijay Bellur 2016-05-01 18:13:01 UTC
REVIEW: http://review.gluster.org/14011 (core: add setactivelk () fop) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 177 Vijay Bellur 2016-05-01 18:13:03 UTC
REVIEW: http://review.gluster.org/13994 (protocol: add getactivelk () fop) posted (#16) for review on master by Susant Palai (spalai@redhat.com)

Comment 178 Vijay Bellur 2016-05-01 18:13:05 UTC
REVIEW: http://review.gluster.org/13995 (posix/lock: add getactivelk () fop) posted (#17) for review on master by Susant Palai (spalai@redhat.com)

Comment 179 Vijay Bellur 2016-05-02 01:04:24 UTC
COMMIT: http://review.gluster.org/13970 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit c4efd39d339535856c1a0a6b0fad2783587411c9
Author: Susant Palai <spalai@redhat.com>
Date:   Sun Apr 17 10:14:02 2016 +0530

    core: add getactivelk () fop
    
    Change-Id: Ifd0ff278dcf43da064021f5c25e5dcd34347fcde
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/13970
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 180 Vijay Bellur 2016-05-02 01:04:30 UTC
COMMIT: http://review.gluster.org/13993 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit c823603f5aab0a60eb076ea43b869739745d9f21
Author: Susant Palai <spalai@redhat.com>
Date:   Sun Apr 17 10:15:39 2016 +0530

    io-threads: add getactivelk () fop
    
    Change-Id: Iaef97ea02dfc54e1a0f23ab972f58b0687b4709c
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/13993
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 181 Vijay Bellur 2016-05-02 01:04:36 UTC
COMMIT: http://review.gluster.org/13994 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 2cca000fcc2adbffbb3f5258c57ae564b9e2d51f
Author: Susant Palai <spalai@redhat.com>
Date:   Sat Apr 30 18:00:44 2016 +0530

    protocol: add getactivelk () fop
    
    Change-Id: Ie38198db990f133fe163ba160cdf647e34f83f4f
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/13994
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 182 Vijay Bellur 2016-05-02 01:04:42 UTC
COMMIT: http://review.gluster.org/13995 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 90a8d15ea9778b5089521767137b14cb52b9a2b3
Author: Susant Palai <spalai@redhat.com>
Date:   Sun Apr 17 10:17:42 2016 +0530

    posix/lock: add getactivelk () fop
    
    Change-Id: I99e41a80854d6f90572df755e14757099ae1236f
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/13995
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 183 Vijay Bellur 2016-05-02 01:04:47 UTC
COMMIT: http://review.gluster.org/14011 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 30f5e460a814358668425860530e5186570e9530
Author: Susant Palai <spalai@redhat.com>
Date:   Sun Apr 17 10:21:59 2016 +0530

    core: add setactivelk () fop
    
    Change-Id: Ic2ba77a1fdd27801a6e579e04e6c0dd93cd7127b
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/14011
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 184 Vijay Bellur 2016-05-02 01:04:53 UTC
COMMIT: http://review.gluster.org/14012 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 358b5007dfa400d8b09871de81d079d47c51f6a0
Author: Susant Palai <spalai@redhat.com>
Date:   Sun Apr 17 10:22:30 2016 +0530

    io-threads: add setactivelk () fop
    
    Change-Id: I74225a39348f6bb2fbdd1513676a70019227e45f
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/14012
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 185 Vijay Bellur 2016-05-02 01:04:59 UTC
COMMIT: http://review.gluster.org/14013 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 888c29bac041ea45973a4a50acb903143a5ce28c
Author: Susant Palai <spalai@redhat.com>
Date:   Sun Apr 17 10:23:02 2016 +0530

    protocol: add setactivelk () fop
    
    Change-Id: I60fe2d59c454095febce4c0fbef87a2dad9636e4
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/14013
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 186 Vijay Bellur 2016-05-02 01:05:03 UTC
COMMIT: http://review.gluster.org/14014 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 2f4733657b0a8439620b045fcb597838a818487a
Author: Susant Palai <spalai@redhat.com>
Date:   Sun Apr 17 10:23:20 2016 +0530

    posix/lock: add setactivelk () fop
    
    Change-Id: Ic7ad7362ac0e8bb0f8861698767c9ab7da539403
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/14014
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 187 Vijay Bellur 2016-05-02 01:05:08 UTC
COMMIT: http://review.gluster.org/14024 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 3ff1861546e619bb3c9dc155c55df5d6ee1a479e
Author: Susant Palai <spalai@redhat.com>
Date:   Mon Apr 18 17:42:06 2016 +0530

    glusterd: volume set changes for lock migration
    
    Change-Id: I48c6f9cdda47503615ba65882acd5eedf0a70c89
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/14024
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 188 Vijay Bellur 2016-05-02 01:05:13 UTC
COMMIT: http://review.gluster.org/13493 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 88088b8f15fc5feb153511b71558447c09ff68d9
Author: Susant Palai <spalai@redhat.com>
Date:   Tue Apr 19 01:09:10 2016 +0530

    cluster/dht: handle EREMOTE in dht lk/flush
    
    With lock-migration, we need to send requests to destination
    brick post migration. Once, the source brick marks the lock
    structure to be already migrated, the requests will be redirected
    to destination brick by dht_lk2/flush2.
    
    Change-Id: I50b14011c5ab68c34826fb7ba7f8c8d42a68ad97
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/13493
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 189 Vijay Bellur 2016-05-02 01:05:20 UTC
COMMIT: http://review.gluster.org/14074 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit c804ac76c404acb7277cfb9c0a7159bc33d92ff5
Author: Susant Palai <spalai@redhat.com>
Date:   Mon Apr 25 15:22:23 2016 +0530

    dht/rebalance: add lock migration fop to dht_migrate_file
    
    Change-Id: Id0e7400c8ae950c90d42a3ddf8b558a14959a1f8
    BUG: 1326085
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: http://review.gluster.org/14074
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 190 Niels de Vos 2016-06-16 14:03:04 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.